Welcome to EmEx 3
No contents entries on this page
Contents
Topic functions menu
Menu
This is the first topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

EmEx 3 is intended to collect information (e-mail addresses, phone numbers, ICQ/MSN/Skupe UINs and many others) from public sources in Internet.

The most common issues, which appeared in our other smart solution - Advanced Email Extractor (AEE), were solved in EmEx 3. Also, we took into account the newest technologies of email addresses protection from extracting and collection.

The software interface is more simple and handy and program's features are almost unlimited.

More 300 search engines over whole world can process your queries now. We constantly track the actuality of script databases for processing of search engines results, so you don't need to update the software if a search engine changes the format of data. You will get the updated settings with every run of EmEx 3.

Take a look to a short list of EmEx 3 features:

·Data search in different sources including search engines

·Support of more than hundreds search engines (including Yahoo, Google, MSN)

·Simplified HTTP authorization on such websites as web forums or paid services

·Search limitations: by country, domain, document code page

·Customizable list of exceptions

·Black and white urls lists

·Black and white domains lists

·Filter by keywords with support of logical expressions

·Anti-flood filter to regulate load on scanned websites

·Scheduler

·Dynamic replacement of document's content

·Masking by User-Agent

·Filters by MIME-types of the scanned document

·Mode of multi-thread scanning which enables to process up to 100 documents at once

·Limitation of loading speed

·Daily updated script schemes for information recognition

·Proxy support

·An ability to form non standard search templates without updating the application

·and much more!

© 2020 EMMA Labs All rights reserved.


System requirements
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Minimal system requirements:

·PC with Windows 8.1 32 bit or higher installed

·At least Internet Explorer 8 installed

·50 mb free space on hard disk

·2 GB RAM or more

·Internet broadband connection (ADSL/LAN/WiFi)

Recommended system requirements:

·64 bit Operating System

·4 GB memory or more


How EmEx 3 works
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Scheme

Note:

The document is transformed to Unicode with such Encoding, which is mentioned in the header of HTML document. If codepage tag is absent, so it will be a trying to transform them into Unicode with the current (system) codepage.


High network activity
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

You should take into account the factor of protection from high network activity from one (unique) IP address (Flood). when you are collecting the information from public sources. The most servers have such limitation.

What does it mean?

If so many queries turn into specified web-sire from one IP-address in short time, this web-site starts to block such queries for a specified tine. Error page or empty page will be shown in this case - it is a kind of protection from possible DDoS-attack from initial IP-address.

Why it is so important?

EmEx 3 is able to download up to 50 documents in one time. It can initiate the protective reaction from the web-site with such protection. The process of scanning can be reached as potential DoS attack and you can not to receive any information including search results from this server.

How to avoid this?

·Use mechanism of allocation by domain, when download flows will be distributed on different domains evenly

·Use Anti-Flood Filter

·Use the list of anonymous proxy-servers Every new query will be initiated from different IP-address in this case. Notice, the speed of download will depend on proxy-server's speed.


Ban from search engines
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Modern search engines have a protection from high network activity

We strongly recommend you do not remove a prohibition in program setting to scanning of direct links from search engines. Otherwise, you can be temporary banned by search engine because of high level of your activity.


Deep scan limitation. What is it?
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Deep scan limitation is defined as the number of links which will be scanned by EmEx starting from initial document.

For example:

"Document.htm" contains links http://www.domain.com/page1.htm and "http://www.domain2.com/page2.htm". Document "page1.htm" contains a link to document "http://www.domain3.com/page3.htm", and "page2.htm" to http://www.domain4.com/page4.htm.

·When the depth of immersion is equal "0", EmEx will scan only "Document.htm", but it never adds found links.

·When the depth of immersion is equal "1", EmEx will add "page1.htm" and "page2.htm" links, but it does not add the next links.

·When the depth of immersion is equal "2", EmEx will add "page1.htm" and "page2.htm" and it will add found "page3.htm" and "page4.htm" for next processing.

Note:

The mechanism of depth limitations by cross-links works the same way, but the domain name (not a link) will be a border of transfer.

The illustration of depth immersion mechanism

© 2020 EMMA Labs All rights reserved.


The simple network math
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The one from frequent support questions "How quickly can I collect 10000 real email addresses?"

There is no a general answer by the following reasons:

The results of EmEx 3 work depends from your sources of search.

EmEx 3 processes given document and their links. If required information presents there, EmEx will extract it. But if the information absents, so there is not any chance to find and extract it. Perhaps, only one document will contains the required information, but it is real to collect this information from a thousands pages. So, everything depends only from you - how you will set up software, what will be indicated as a source of searching and is there the required information on mentioned source.

The speed of processing depends from your internet connection and your provider (ISP) internet channel.

·The simple math and no more other complicated.

·Suppose, that your a speed of connection is 512 Kb/s. It means you can download the files and documents with 64 Kb/s maximum speed, in theory. The average modern HTML page has weight till 150 Kb. So, you have to spend 2-3 seconds for such page download.

·If we run 10 streams at one time, we can not get the speed more 64 Kb/s, because it is a limitation of our channel.
Keep in mind our ideal conditions, we have average speed for one page processing - 2-3 seconds. So, for processing of 100 pages we will need to spend 200-300 seconds.

·Take into account, server requires some time and outgoing traffic (~10-20%) to start transfer you the requested page. From time of page's request till start of download, it's necessary to send the information to the server (HTTP request) and receive the answer (HTTP headers). The transfer of the page to your desktop will start only after that.

·But there are some other parameters: utilized capacity of the channel and speed of server's answers.

·Finally, we get 200-300 seconds in the best case, and 500 and more seconds in reality with 512 Kb/s connection.

·We provide different schemes to increase the speed of EmEx work. There is the distributed mode of scan, using proxy-servers, etc. Test, use, find the most optimal solutions for you.


Quality of search results
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

We answer to more frequent questions regarding EmEx 3 search results.

Will all collected e-mail addresses be real?

EmEx 3 does not verify the collected information. Their goal is to collect the information as it is presented on web-pages. The responsibility for authenticity of the collected information is a problem of web-page owner, administrator or editor.

There are some solutions for information verification.

For example, for email addresses there are products from EMMA Labs:

High Speed Verifier

Advanced Maillist Verify

Mailing List Wizard

Why some "garbage" results can appear in the EmEx 3 search results?

We are forced to use the math and formulas until the AI does not created. :)

If the Internet contains only standard pages, we can avoid any "garbage" results. But we want to get required information by anyway, so we need to extent the search conditions and use the algorithms, which can found more that standard algorithms. The cost of such improvements is the rate of errors.

We created a range of filters, which help to minimize these errors and make your results more clear.


Before begin
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

What you must to know about EmEx 3:

·How EmEx 3 works

·User interface

·How to avoid ban on extreme network activity

·How to avoid ban from search engines

·How quickly can I collect lot of real email addresses?

Warning!!!

1.Be aware that you are solely responsible for the messages you send. In many cases sending unsolicited email (UCE / Spam) is in violation of the law, and you will be solely accountable and liable for damages and violations.

2.This software can be used for information/database management purposes on legally-owned link/email addresses and databases, and other type of link (URL, meta tag, phone and fax) extraction purposes only.

3.We retain the right to withhold technical support, terminate purchased license(s) and other services in the event we receive complaints about your use of our software for a illegal reason.


Main window
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Menu, Queue and Results tabs and Debug monitor panel


Ribbon Menu
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Project menu designed to control and tune scan process.

Edit menu designed to manage download queue and results

Button 'Сompact project' will reduce the memory consumption of the project by removing unnecessary links from the queue.

Select the types of links that will be removed from the project.

Using Help menu you can visit official website, support page, company website, check your license status, transfer license and renewal license.

© 2020 EMMA Labs All rights reserved.


System tray menu
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This menu contains main commands from Project menu


Download queue
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Download queue contains all URL's for scan process.

Icons:

In progress

Succeeded

Redirected to other document

Error

Waiting for processing

Skipped URL

Marked as Deleted


Result tabs
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Result tab contains all found results during scan process.


Status bar information
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Status bar panel shows all current project information.


Debug monitor
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Debug Monitor shows number of processing threads, downloading threads, active URL's.

With Monitor you can optimize EmEx 3 settings for your PC / Network bandwidth.


Internal HTML Browser
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

It so happens that you see e-mail address on the HTML page, but why is it EmEx not find it.

Does it follow that the mechanism of parsing in EmEx has a bug? In most cases the answer - NO.

Software for automatic collection of email addresses, there has long been the easiest way to find the e-mail in the document was simply a search for "@" symbol. Therefore, began to introduce a simple search of this protection - replace "@" symbol on the image or the words "(at)" or the "_at_". Then the HTML source text does not contain email addresses in an explicit form, but for the user, they will be seen or understood as that a mailing address.

With built-in HTML browser, you will be able to analyze a page and configure the dynamic replacement to bypass the security. For convenience, code review, we have provided syntax highlighting.

Experienced users to find the right lines can use the language of regular expressions (Perl)


Results Export
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

EmEx 3 supports the export of search results (and queue) in the format: TXT, CSV, XML, MS Excel

Output file format

Select output format for export

Results that available for export

Select results to export. This may be not only e-mail addresses, but also links, telephone / fax numbers, numbers ICQ / Skype

Fields that will be exported into output file

Select the fields for each type of results


General
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Minimize to tray

Minimize button hide EmEx 3 as icon to system tray

Close to tray

Close button hide EmEx 3 as icon to system tray. To exit from EmEx 3 you must to use application/tray menu.

Always show tray icon

EmEx 3 icon always presents in system tray.

Single click to open

If that option set then EmEx 3 will raise on single click on system tray icon. Otherwise you need double click.

Show balloon notification in tray

Show notifications when EmEx 3 hidden in tray

Auto start project after creation

Launch scan project when you press 'Finish' button on new project wizard.

Auto start project after loading

Launch scan project when it finished loading.

Auto save project during scan process

EmEx 3 will save your project every XX minutes.

Auto compact project during scan process

EmEx 3 will try to compact your project every XX minutes.


Network
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Connection type

Select your connection type. EmEx 3 will calculate optimal values.

Launch speed test

If you do not know your connection type, use this button. http://www.dslreport.com/

High speed limit

Maximum bandwidth limit

Normal speed limit

Set bandwidth limit that allow works with EmEx 3 without any discomfort (about 50-60% of main bandwidth)

Low speed limit

Download threads limit

Set maximum parallel download threads.


Scheduler
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Limit bandwidth on date/time


Queue

EMMA Labs website

Download queue
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Linear algorithm (FIFO)

All URLs will be processed in FIFO order. This means, link 2 will be processed after link 1.

Distributed by domains

Download threads will be distributed by domains. This can help avoid ban for extreme network activity.

Maximum download threads per domain

Set maximum download threads per domain.

Domain detection (level)

Set level for domain name to group all subdomains as one domain.

Skip direct links to search engines to avoid ban on extreme activity

If processing document contains direct link to search engine (Google for example), then EmEx 3 will not add this link to download queue. This can help to avoid ban your IP from search engine

Ignore 404 HTTP errors when download

If web server return 404 error then ignore error and parse received result.

Timeout for download

Set timeout in seconds.

Attempts to download document on timeout issue

Maximum download attempts. This setting affect on timeout error only.

Custom limit for parsing threads

By default EmEx 3 will launch up to 50 parsing threads. This can affect high memory/CPU usage on high speed bandwidth internet connection. Use this settings to avoid this problem.

Replace user-agent

By default EmEx 3 works as Internet Explorer 6. You can change this value.

Random, but remember for domain/host

EmEx 3 will use random user-agent string for every domain or host.

From list

Predefined value.

Custom (user defined)

User defined User-agent string


Proxy servers
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Use proxy

EmEx 3 will use connection via Proxy only.

Use file with proxies list

Get list of proxy servers from file in text format.

Server string format: IP address:port

Example:

111.222.333.444:8080

111.222.333.444:3028

Use proxy server(s)

Set list of proxy servers.

Server string format same as above

Change proxy periodically

Emex3 will change the proxy from the list periodically, otherwise only the first one will be used.


Filtering by document type
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This filter use file extension as argument (last symbols after dot symbol).

Scan all files

Disable this filter.

Scan all, but exclude this file types

Set file extensions list that you want to skip in scan process.

Scan this file types only

Set file extenstions list to scan. File with other types will be ignored.

Allow links without extensions

Allow scan links to documents that does not contains extension. Usual this is a CGI scripts, like a http://domain.com/search?q=param

Do not scan documents larger than

Set document size limit in kilobytes.


Anti-Flood filter
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

To avoid ban on extreme network activity we highly recommend to use this filter.

Domain

Domain target

Maximum requests

Maximum requests per defined time

For a time period

time period in seconds

Threads limit

Set thread limit


Domains filter
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

All links from that domains will NOT be added to download queue.

Domain

Domain name (for example google.com)

Include subdomains

All subdomains will be added (like a search.google.com, images.google.com ...)

Application settings

Settings for selected domain will be permanent on application level. In other case settings will be applied only at current project.

Mode

Deny - all links from that domain will NOT be added to download queue.

Ignore - all links from that domain will be added to download queue with 'blocked/skip' status.

Allow only - only links from that domain will be added to download queue. All other - NOT

Filter project queue by new settings

Remove from queue (mode 'Deny') or mark as 'Skipped' (mode 'Ignore') links from selected domains.


Pre-Processing
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

The list of rules to search for words in the downloaded document or any part thereof.

Rule name

Name of the Rule

Search string

The string to search for. The string is case insensitive.

Location/Rule

Part of the document or URL where we will look for the specified string

Action

The action to be performed if the string was found.

Received from server

Rules received from server can't be edited.


MIME Filter
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Enable MIME filter

Using MIME filter allow exclude parasite traffic and do not scan binary files or music and images for email addresses.

Allow scan unknown MIME type

Allow scan document with MIME type that not presents in EmEx 3 list.


URL filter
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Substring

String to search. Wildcards allowed: * - set of any symbols, ? - any symbol

Mode

Deny - Do not add links that contains defined mask to download queue.

Allow only - Add only links that contains defined mask to download queue.

Case sensitive

Make search of substring case sensitive.

Application settings

Settings for selected substring will be permanent on application level. In other case settings will be applied only at current project.


Initial URL / List of URL's
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Initial URL / List of URL's

URL to website or link to file that contains list of URL's.

List of URL's can be a HTML or simple text, where every line is a link to web page. All URL must be in canonical form: transport://domain/path

Example of Text file:

http://www.site.com/

https://www.site.com/path/


Search engines
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Search by phrase(s)

Set search phrase or set of search phrases. Every line will be treated as new search phrase.

Example:

email extractor

bulk email

no spam

Found links limit

Set limit for results from EVERY search engine in list. 0 - no limit.

Search engines list

I found new engine

Open URL on our website to add new search engine to EmEx 3.


HTTP authorization
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Basic authorization

Note:

Login and Password will saved into the project file.

Use authorization on initial link/domain only

If this option is ticked and initial URL is http://secure.my.com/, then login/password will entered for all protected pages of secure.my.com, but will not entered for protected pages of http://www.my.com/, http://secure-1.my.com/ and other servers.

Web form authorization

Authorize using web form on target site.

Note:

Login and Password will saved into the project file.

Login URL

Link to web page that contains authorization form.


Recomendations

EMMA Labs website

Recommendations
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

At this stage we want to give you some useful tips:

1.Do not attempt to cover his search the entire Internet - it does not improve the results, but only give rise to absolute aimlessly spent traffic.

2.Be sure to read the article about the Deep scan limitation. Dive to a depth of 5 references from the initial document is often able to cover the entire site.

3.Using the authorization mechanisms should be remembered that the sites of its kind in 99.9% of cases are protected from excessive network activity. And if you do not want to lose your account on this site, configure the filter anti-flooding in advance, before the start of the project, not after the admin of this site will block your account.
Just imagine for yourself how it looks from the owner of the site - a user is browsing simultaneously on 10 pages at a rate of 5 pages per second... Of course, it's a bot!

4.If you do not want to see the words "most likely a virus on your computer ..." when trying to find something in the search engine Google, then turn off the direct scanning of search engines - you will not find a way there is nothing of what you're looking for, but will get one hundred percent ban.

5.Using a dynamic replacement filters can significantly increase the number of results found, but not get carried away - it greatly increases the load on the processor and memory.


Extracting Email Addresses
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

All

Collect all email addresses

Filtered by country

Collect email addresses using targeting filter. Filter use document and url of document for analyzing and filtering

Filtered by state/city (US Only)

Collect email addresses from BigFoot database

Syntax/domain/zone validation

Check email address to RFC compliance.


Geo targeting (emails)
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This filter will applied on EMAILS before add them to RESULT list.

Email TLD

Filter based on email domain zone (Top-Level Domain, TLD)

Document TLD

Filter based on source document domain zone.

Example:

http://www.emex3.co.uk/emex/index.htm, TLD: uk

Keywords

Search for specific keywords in document

Source CHARSET

Filter by document encoding. EmEx 3 will search tag "charset" in HTML document.

LANG tag

Filter by 'LANG' tag in source HTML document.

Enable filter

Enable selected filter

Strict mode

Using AND logic on all enabled filters. If all filters are TRUE, then result will be added. Otherwise it will be declined.


Geo targeting (links)
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This filter will applied on LINKS before add them to download queue.

Queue TLD

Filter link before adding to queue by document source TLD (domain zone).

Example:

document source is http://www.emex3.co.uk/index.html , link found in a document is http://www.emex3.com/index.html

If that filter is set to .uk, then link to emex3.com will be allowed.

Queue CHARSET

Filter by document encoding. EmEx 3 will search tag "charset" in HTML document before approve link to download queue.

Queue LANG

Filter by 'LANG' tag in source HTML document.

Keywords

Search for specific keywords in url

Enable filter

Use selected filter

Strict mode

Using AND logic on all enabled filters. If all filters are TRUE, then result will be added. Otherwise it will be declined


Geo targeting (US)
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Search email addresses using BigFoot public directory.


Extracting phones and faxes
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

String with number must contain substring(s):

Example: Phone,Fax,Telex

String with number does not contain substring(s):

Example: ICQ,Skype

Replace the double zero on the plus sign

In the international recording double zero at the beginning of the phone number is equivalent to the + sign. Replacement will be after the number has been removed from the source.

Exclude duplicate numbers

Identical numbers will not be added to the list of results. Identical considered the same sequence of numbers regardless of their writing. For example: (555) 666-777 and 555-666-777 will be considered the same. If the option is considered Emex 3 different spellings of one number as different numbers.

Collect phone numbers mask

Mask to search for a phone number on a web page.

# - Any digit

? - The symbols + -. () Space

Do not use: non-Latin letters, symbols \ /%> <$

Example:

+1-(###)-###-#### will extract numbers that looks like +1-(555)-123-4567
+1?###?###?#### will extract numbers that looks like +1-555-123-4567, or +1(555) 123-4567, or looks like +1 555 123.4567

How to select by country code or region:

+1?800?###?#### will extract numbers that looks like +1 800 123-4567, or +1-(800) 123-4567
+44?#?###?#### will extract all numbers with country code +44 and match number mask


Collect ICQ/MSN/Skype
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Check the checkbox with the specified type, if you want to collect the number of popular IM messengers.

At the moment, EmEx 3 supports the collection of ICQ, MSN and Skype.


Lookup specific URL's
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Substring

Search substring in found URL (result, not source document!!!)

RegExp

Search string is a regular expression

Rule

Add to result - add link to result list

Skip - skip that result

Action

None - take no action

Add domain to blacklist - add source domain to black list, does not process documents from source domain anymore


Queue filter
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders


Results filter
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Search

Word or logical expression. Symbols & | ( ) are reserved.

Example:

sale | (discount & house)

Location

Condition for search string.

Scan results

Action that will be applied to scan results if rule succeeded.

Links

Action that will be applied to links that found in source document.


Replacement Filter
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This filter make replacements BEFORE processing document by results parsers. So, you can correct results quality using this filter. For example - some sites make replacement of symbol '@' to some image. Using this filter you can turn it back.

URL

URL or mask (symbols * and ? used as wildcards). If you use URL Emex3 will try find your string (URL/directory) in a source link.

You may use a mask to extend the range of comparison. http://my.mail.com/* or */my.mail.com/* or http://my.mail.com/*/page/

String to replace

String or Regular Expression to search

Replace to

Replacement

RegExp

Use regular expression to search

Case sensitive

String to replace case sensitive.


Using JScript in EmEx 3
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

JScript is a powerful programming language that supports COM/ActiveX automation. From JScript you can deal with MS Excel documents, MS Access databases and other widely used applications that support COM/ActiveX technology. To learn more about the language, see examples and download the language documentation, visit Microsoft web site.

In EmEx 3, JScript program is used to "approve" e-mail address. If the address meets all the requirements defined in EmEx 3 settings, JScript is to say the last desisive word - whether to add the address to the list of addresses found or not. To make the decision, it can, for example, check the address through Advanced Maillist Verify, compare the mailbox and/or the mailbox domain to the list of mailboxes/domains needed in the program itself or in an external source (e.g., in a MS Excel document).

Please note that JScript program is executed for each new address found. If your program is using "heavy" ActiveX objects, this might result in serious performance problems due to tough usage of CPU resources and to insufficient RAM available. As addresses found are being processes one by one in one stream, use of slow objects and algorithm might affect scan speed negatively.

Examples:

https://www.emmalabs.com/aee/jscript.html

EmEx 3 extends the JScript name space with an object named emex3 that contains the following properties and methods:

Name | Type | Description | Example
URL | property, Read-only | Return URL of parsed document | var x = emex3.URL;
Document | property, Read-only | Return content of parsed document | var x = emex3.Document;
URLDomain | property, Read-only | Return domain of URL to parsed document | var x = emex3.URLDomain;
URLDocument | property, Read-only | Return document file name | var x = emex3.URLDocument;
DataField(index) | method | Return field of result row. | var email = emex3.DataField(0);
GetEmailDomain(email) | method | Return email address domain of argument. | var x = emex3.GetEmailDomain("account@domain.com");
GetEmailUser(email) | method | Return email account. | var x = emex3.GetEmailUser("account@domain.com"); var x = emex3.GetEmailUser(emex3.DataField(0));
AddLinkToQueue(url) | method, boolean | Add link to download queue. | if (emex3.AddLinkToQueue("http://www.microsoft.com")) { }
AddDomainToIgnoreList(url, level) | method | Add domain to ignore list. Argument may be domain or URL. | emex3.AddDomainToIgnoreList("www.google.com", 0);
StopProcessCurrentDomain() | method | Add current document domain to ignore list. | emex3.StopProcessCurrentDomain();
Stop() | method | Stop project execution. | emex3.Stop();
Pause() | method | Pause download queue. | emex3.Pause();
Start() | method | Resume download queue. | emex3.Start();
Approve() | method | If this method is not invoked during the script running, e-mail address will not be "approved" and will not be added to the list of addresses found. | emex3.Approve();


Deep level
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Deep level in URL mode

Deep level in Search Engines mode

No Limitation (follow all links)

Scan range is not limited. Please note that the exclusions set in the program options are effective with this mode, too. So, you can add sites of banner systems, visitor counters, etc. into the exclusion list instead of limiting scan range.

All above, but only XX level deep

Unlike the previous limitation, here, the number of documents to be downloaded is finite (though it can be very great), and this mode can be used in the command prompt together with the function of results auto save. The depth 0 means that the initial document will be processed only. The depth 1 means, that the initial document and all the documents it is linked to will be processed. The maximum depth value is not limited.

Scan within specified directory of given site only

EmEx 3 will scan in specified directory described as initial link.

Scan the given site and sites listed in initial document

The program scans the entire site chosen and bypasses all the sites, links to which are contained in the initial document.

Scan within found sites only

EmEx 3 will scan only sites that found in search engine(s) result.

Show advanced deep settings

Open advanced deep settings dialog on next wizard step.


Batch mode
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

EmEx allows you to combine multiple projects to accelerate the search.

Add project dialog

Include to current project (with deep level 0)

EmEx 3 add a unprocessed links from this project into a new, as if you downloaded a list of references

Exclude from current project

All unprocessed links will be treated as processed, i.e. in finding such a link in any document or EmEx 3 will not include it in the queue

Ignore

All unprocessed links will be ignored and not added to queue

Exclude processed URL's

Processed links from the project will be skipped. If these links will then be found in any documents, they will be ignored

Exclude failed URL's

Failed links will be treated as processed and will not be added to the project, as well as in the case will be ignored in any document.

Exclude results

Results are saved in the original project will be ignored.


Queue / Results limit
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Documents will be processed during this scan

Maximum documents that EmEx 3 will scan for project session. Project will be stopped on limit reached.

Max. documents during this scan

Limit on download queue size.

Results limit

Stop project when this limit reached.


Using IE emulation
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Some sites use JavaScript to generate links or email addresses dynamically on the page load stage. Use of this mode allows you to execute these scripts and get the page exactly as the user sees it.

Execute JavaScript in document (Internet Explorer emulation)

Allow to use IE emulation.

A list of links for which emulation is allowed.

Process all websites in project

Use emulation on all websites. Very dangerous mode. We do not recommend enable this option.


How you can use EmEx 3?
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Sell unusual things

I’m engaged in knitting and crocheting and I like it. I sell my works out through Ebay and other e-shops sometime. I founded EmEx accidentally during web-surfing. I had an idea to collect emails with my keywords from my customers list (on eBay) and send messages with the examples of my works. Just to try an alternate promotion for my hobby.

I created small distribution list, it was smaller 100 emails. I was amazed cause I had 9 feedback requests after distribution. I had such requests number on Ebay for 2-3 months usually. It’s really amazing. My hobby has a new life now.

NOTE: Karen used own web resource to organize they contact list. Of course, all of those subscribers must to follow opt-in signup and all emails must to be personal.

Karen Sherburne

Find a necessary thing and buy it advantageously!

I’m antiquary and I own a small business. My specialization is furniture and household goods of beginning of the twentieth century. It’s very important factor in my work to find interesting items for the further reconstruction and selling. As I see, it’s really to find many interesting things for a best price asking persons who don’t involved into antiquarian business and who owns such items at home.

I collected emails with EmEx 3 (my base had 214 emails) and made a email distribution. It brought me four essential contacts and two deals later. I bought excellent armchair and escritoire.I have already sold the escritoire and this deal compensated me all costs for these purchases, restoration and it brought me more 300 bucks profit less than for one week.

The EmEx 3 product was a very important part of this chain. I’m not only save my time and money, but also earned a living.

Oliver Tresler

Make a funny flash mob

My girlfriend took part in a local beauty pageant. I want her winning. I touted for her on boards, blogs and communities. Also I tried to make a small newsletter distribution. I used EmEx subscription, collect local emails and sent out about 300 messages asking to vote for my girlfriend.

Unfortunately she didn’t win and took the third place only. However I got more 100 answers from my newsletter and people voted my girlfriend. It was funny experience.

And the main point - Susy loves me ;)

John Leisering

Easy finding of nonpublic things

I’m photographer and I’m working in nude-art. It’s difficult to find models for my works sometime. I look for the through special web-sites or special agencies usually. There is a problem with a selection.

I have already used email distribution for my searching. I sent messages with my offer to shoot a model for some money or for portfolio. However the untargeted emails don’t bring any sufficient result.

So, I tried to collect emails using EmEx custom search template option. I had 16 new contacts with potentially models right after my distribution through EmEx’s addresses.

I think that I solved my problem for a long time.

NOTE. You DO NOT MUST to use any mail bomber or any other mass mail application. Personal emails only.

Bradley H.


License limitation
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

There are two types of licensing for use EmEx 3, limited to the territory of the product:

The CIS (ex-USSR) and WorldWide

Violation of this restriction (i.e. use the license for the CIS outside of this area) may constitute grounds for early termination of your license.


How to activate EmEx 3
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

This action required active internet connection.

To activate EmEx 3, just launch program, open 'Help' menu -> 'Activate EmEx 3'

Use copy / paste functions to avoid keyboard mistakes.

Note:

You have to deactivate your license on current PC if you want to transfer license to new PC.


How to transfer EmEx 3 license
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Transferring license between PC's.

To transfer active license you must to launch activated EmEx 3 and go to menu 'Help' -> 'Transfer license'

You must to have an active internet connection to finish this operation.


F.A.Q.
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Please visit official website:

https://www.emex3.com/support/faq.php


Technical Support
No contents entries on this page
Go to previous topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Official EmEx 3 websites:

https://www.emex3.com

https://www.emmalabs.com

Technical support area:

https://www.emex3.com/support/

Learning, online help:

https://www.emex3.com/support/learning.html